| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csVerbosityManager Class Reference

Default iVerbosityManager implementation. More...

`#include <csutil/verbosity.h>`

Inheritance diagram for csVerbosityManager:

[legend]
List of all members.

## Public Member Functions
virtual bool | CheckFlag (char const *major, char const *minor) const
| Given major and minor components, check if the verbosity class "major.minor" is enabled.
| csVerbosityManager (char const *flags=0)
| Constructor.
virtual bool | Enabled (char const *flag=0, bool fuzzy=true) const
| Check if verbosity should be enabled for a particular flag.
virtual void | Parse (char const *flags)
| Parse additional verbosity flags.
virtual | ~csVerbosityManager ()
| Destructor.

## Detailed Description

Default iVerbosityManager implementation.

Basically a thin wrapper around csVerbosityParser. An instance of iVerbosityManager can be extracted from the global iObjectRegistry once csInitializer::CreateEnvironment() or csInitializer::CreateVerbosityManager() has been invoked.

See also:
  csVerbosityParser

  csCheckVerbosity

  csParseVerbosity;

  iVerbosityManager

Definition at line 260 of file verbosity.h.

## Constructor & Destructor Documentation

csVerbosityManager::csVerbosityManager | ( | char const * | flags = `0` | ) | `[inline]`

Constructor.

Remarks:
  See the csVerbosityParser constructor for detailed information regarding the interpretation of flags.

Definition at line 272 of file verbosity.h.

virtual csVerbosityManager::~csVerbosityManager | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 276 of file verbosity.h.

## Member Function Documentation

virtual bool csVerbosityManager::CheckFlag | ( | char const * | major,
|  | char const * | minor |
| ) |  |  | const`[inline, virtual]`

Given major and minor components, check if the verbosity class "major.minor" is enabled.

Deprecated:
  Use instead the more generic Enabled() method, which accepts any granularity of class breakdown; not just major and minor components.

Implements iVerbosityManager.

Definition at line 306 of file verbosity.h.

virtual bool csVerbosityManager::Enabled | ( | char const * | flag = `0`,
|  | bool | fuzzy = `true` |
| ) |  |  | const`[inline, virtual]`

Check if verbosity should be enabled for a particular flag.

Parameters:

  | flag | The flag for which verboseness should be queried.
  | fuzzy | Whether the search should match flag exactly (fuzzy = false) or if it can traverse the inheritance chain when searching for a match (fuzzy = true).

Remarks:
  See the csVerbosityParser class description and csVerbosityParser::Enabled() for detailed information regarding the interpretation of flag and fuzzy.

Implements iVerbosityManager.

Definition at line 296 of file verbosity.h.

virtual void csVerbosityManager::Parse | ( | char const * | flags | ) | `[inline, virtual]`

Parse additional verbosity flags.

Remarks:
  See csVerbosityParser::Parse() for detailed information regarding the interpretation of flags.

Reimplemented from iVerbosityManager.

Definition at line 283 of file verbosity.h.

The documentation for this class was generated from the following file:

- csutil/verbosity.h